Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ExtUtils::MM

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# ExtUtils::MM

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

ExtUtils::MM - OS adjusted ExtUtils::MakeMaker subclass

# SYNOPSIS

      require ExtUtils::MM;  my $mm = MM->new(...);

# DESCRIPTION

FOR INTERNAL USE ONLY

ExtUtils::MM is a subclass of ExtUtils::MakeMaker which automatically chooses the appropriate OS specific subclass for you (ie. ExtUils::MM_Unix, etc...).

It also provides a convenient alias via the MM class (I didn't want MakeMaker modules outside of ExtUtils/).

This class might turn out to be a temporary solution, but MM won't go away.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION